org.apache.log4j.chainsaw.layout

## Class EventDetailLayout

- java.lang.Object
- - org.apache.log4j.Layout
  - - org.apache.log4j.chainsaw.layout.EventDetailLayout

- All Implemented Interfaces:
    org.apache.log4j.spi.OptionHandler

      public class EventDetailLayout
      extends org.apache.log4j.Layout

  This layout is used for formatting HTML text for use inside the Chainsaw Event Detail Panel, and the tooltip used when mouse-over on a particular log event row. It relies an an internal PatternLayout to accomplish this, but ensures HTML characters from any LoggingEvent are escaped first.
  Author:
    Paul Smith <psmith@apache.org>

- - ### Field Summary

    - ### Fields inherited from class org.apache.log4j.Layout

      `LINE_SEP, LINE_SEP_LEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventDetailLayout()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activateOptions()`
    `String` | `format(org.apache.log4j.spi.LoggingEvent event)`
    `String` | `getConversionPattern()`
    `String` | `getFooter()`
    `String` | `getHeader()`
    `boolean` | `ignoresThrowable()`
    `void` | `setConversionPattern(String conversionPattern)`

    - ### Methods inherited from class org.apache.log4j.Layout

      `getContentType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventDetailLayout

          public EventDetailLayout()

  - ### Method Detail

    - #### setConversionPattern

          public void setConversionPattern(String conversionPattern)

    - #### getConversionPattern

          public String getConversionPattern()

    - #### getFooter

          public String getFooter()

      Overrides:
        `getFooter` in class `org.apache.log4j.Layout`

    - #### getHeader

          public String getHeader()

      Overrides:
        `getHeader` in class `org.apache.log4j.Layout`

    - #### ignoresThrowable

          public boolean ignoresThrowable()

      Specified by:
        `ignoresThrowable` in class `org.apache.log4j.Layout`

    - #### activateOptions

          public void activateOptions()

    - #### format

          public String format(org.apache.log4j.spi.LoggingEvent event)

      Specified by:
        `format` in class `org.apache.log4j.Layout`

Copyright © 2002-2018 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache Chainsaw, Chainsaw, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.